import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the explosion class, it is created on the detonation of the bomb.
 */
public class Explosion extends Actor
{
    private int timer = 0;
    public Explosion(String image)
    {
        setImage(image);
    }

    public void act() 
    {
        remove();
    }    

    /**
     * After a short time, we want the explosions to dissapear. This is how we do it.
     */
    private void remove()
    {
        if(timer > 20 && getWorld() != null)
        {
            getWorld().removeObject(this);
        }
        else
        {
            timer++;
        }
    } 
}
