import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color;

public class Intro extends World
{

    /**
     * This is the Intro world. It displays the logo of the game and in order to make everyone happy it chooses the
     * order of the names through a 2 dimensional array that is randomised.
     * 
     */
    public Intro()
    {    
        super(800, 600, 1); //Creates a world 700x600 where each coordinate is made up of one pixel
        addObject(new IntroScreen(), 400, 300); //Adds the IntroScreen class to the middle of the world with the parameter false
        addObject(new Button("Singleplayer"), 400, 300);
        addObject(new Button("Multiplayer"), 400, 400);
        addObject(new Button("Help"), 400, 500);
        
        String names[][] = {{"Adam Zulic", "Matthew Millett", "Kane Gard"},
                            {"Matthew Millett", "Kane Gard", "Adam Zulic"},
                            {"Kane Gard", "Matthew Millett", "Adam Zulic"},
                            {"Adam Zulic", "Kane Gard", "Matthew Millett"},
                            {"Matthew Millett", "Adam Zulic", "Kane Gard"},
                            {"Kane Gard", "Adam Zulic", "Matthew Millett"}};
        
        int random = Greenfoot.getRandomNumber(6); //Gets a random number
        String finalNames = "By " + names[random][0] + ", " + names[random][1] + " and " + names[random][2]; //adds the strings together
        addObject(new TextDisplayer(finalNames, 20, Color.WHITE, null), 600, 585);
    }
}
