import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Color; //Allows for Color.* to be a data type

/**
 * This is the End world. It is the final screen for the game, and displays the score that the player has got.
 */

public class End extends World
{
    public End(int numberOfHumans, int score, Boolean hasWon)
    {    
        // Create a new world with 800x600 cells with a cell size of 1x1 pixels.
        super(800, 600, 1); 
        if(hasWon == true) //Checks if the player has won, displays a winning screen
        {
            addObject(new TextDisplayer("You won! You scored " + score + " points!", 40, Color.WHITE, null), 400, 300);
            addObject(new Button("Exit"), 400, 500);
        }
        else //Displays a losing screen if the player hasn't won
        {
            addObject(new TextDisplayer("Game over! You scored " + score + " points!", 40, Color.WHITE, null), 400, 300);
            addObject(new Button("Exit"), 400, 500);
        }
    }
}
