import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
/**
 * Write a description of class Enemies here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class Enemies extends Actor
{
    int moveCounter;
    int setSpeed;
    int bombTimer;
    /**
     * Act - do whatever the Enemies wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        movement();
        checkForPlayer();
        placeBombs();
    }    

    public Enemies(int type)
    {
        switch(type)
        {
            case 0:
                break;
            case 1: 
                setImage("GreenEnemy.png");
                setSpeed = 5;
                break;
            case 2: 
                setImage("AmphibianEnemy.png");
                setSpeed = 10;
                break;
            case 3: 
                setImage("TreeEnemy.png");
                setSpeed = 20;
                break;
            default:
                System.out.println("Invalid type of enemy spawned");
                break;
        }
    }

    private void movement()
    {   
        if (moveCounter == setSpeed)
        {   
            int direction = Greenfoot.getRandomNumber(4); 
            if( direction == 0 && getOneObjectAtOffset(0, -25, Walls.class) == null && getX()-25 >= 0 )//North
            {
                setLocation(getX(), getY()-25);
      
            }
            else if( direction == 1 && getOneObjectAtOffset(25, 0, Walls.class) == null && getX()+25 <= 699)//East
            {
                setLocation(getX()+25, getY());
               
            }
            else if( direction == 2 && getOneObjectAtOffset(0, 25, Walls.class) == null && getY()-25 <= 599)//South
            {
                setLocation(getX(), getY()+25);
               
            }
            else if( direction == 3 && getOneObjectAtOffset(-25, 0, Walls.class) == null && getY()+25 >= 0)//West
            {
                setLocation(getX()-25, getY());
              
            }
            moveCounter = 0;
        }
        moveCounter++;
    }

    private void checkForPlayer()
    {
        if(isTouching(Player1.class))
        {
            removeTouching(Player1.class);
        }
    }

    private void placeBombs()
    {
        int i;
        int n;
        for(i = -25; i <= 25; i = i + 25)
        {
            for(n = -25; n <= 25; n = n + 25)
            {
                if(getOneObjectAtOffset(i, n, Walls.class) != null && Greenfoot.getRandomNumber(5000) > 4995 && bombTimer > 2500)
                {
                    getWorld().addObject(new Bomb(false, false), getX(), getY());
                    bombTimer = 0;
                }
                else 
                {
                    bombTimer++;
                }
            }
        }
    }
    
    public void delete()
    {
        if(getWorld() != null)
        {
            getWorld().removeObject(this);
        }
    }
}
